# Uses of Interface
javax.xml.stream.Location

Packages that use Location
Package
Description
javax.xml.stream
Defines interfaces and classes for the Streaming API for XML (StAX).
javax.xml.stream.events
Defines event interfaces for the Streaming API for XML (StAX).
javax.xml.stream.util
Provides utility classes for the Streaming API for XML (StAX).

## Uses of Location in javax.xml.stream

Fields in javax.xml.stream declared as Location
Modifier and Type
Field
Description
`protected Location`
XMLStreamException.`location`
The location of the error.
Methods in javax.xml.stream that return Location
Modifier and Type
Method
Description
`Location`
XMLStreamException.`getLocation()`
Gets the location of the exception
`Location`
XMLStreamReader.`getLocation()`
Return the current location of the processor.
Methods in javax.xml.stream with parameters of type Location
Modifier and Type
Method
Description
`void`
XMLReporter.`report(String message, String errorType, Object relatedInformation, Location location)`
Report the desired message in an application specific format.
`abstract void`
XMLEventFactory.`setLocation(Location location)`
This method allows setting of the Location on each event that is created by this factory.
Constructors in javax.xml.stream with parameters of type Location
Modifier
Constructor
Description
``
`XMLStreamException(String msg, Location location)`
Construct an exception with the associated message, exception and location.
``
`XMLStreamException(String msg, Location location, Throwable th)`
Construct an exception with the associated message, exception and location.

## Uses of Location in javax.xml.stream.events

Methods in javax.xml.stream.events that return Location
Modifier and Type
Method
Description
`Location`
XMLEvent.`getLocation()`
Return the location of this event.

## Uses of Location in javax.xml.stream.util

Methods in javax.xml.stream.util that return Location
Modifier and Type
Method
Description
`Location`
StreamReaderDelegate.`getLocation()`